Creates a new category.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"parentId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sortNumber": 123,
"name": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/categories"
payload = {
"parentId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sortNumber": 123,
"name": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
parentId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
sortNumber: 123,
name: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"categoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}wawi
Creates a new category.
POST
/
v2
/
categories
Creates a new category.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Body
application/json
Request model for CreateCategory command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
Response
The category was successfully created.
Creates a new category. - Response
The ID of the newly created category.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?
⌘I